io.vertx.rxjava.ext.auth

## Class AuthProvider

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider

- Direct Known Subclasses:
    JDBCAuth, JWTAuth, ShiroAuth

      public class AuthProvider
      extends Object

  User-facing interface for authenticating users.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthProvider(AuthProvider delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticate(JsonObject authInfo, Handler<AsyncResult<User>> resultHandler)` Authenticate a user.
    `rx.Observable<User>` | `authenticateObservable(JsonObject authInfo)` Authenticate a user.
    `Object` | `getDelegate()`
    `static AuthProvider` | `newInstance(AuthProvider arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthProvider

          public AuthProvider(AuthProvider delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### authenticate

          public void authenticate(JsonObject authInfo,
                                   Handler<AsyncResult<User>> resultHandler)

      Authenticate a user.

      The first argument is a JSON object containing information for authenticating the user. What this actually contains depends on the specific implementation. In the case of a simple username/password based authentication it is likely to contain a JSON object with the following structure:

             {
               "username": "tim",
               "password": "mypassword"
             }

      For other types of authentication it contain different information - for example a JWT token or OAuth bearer token.

      If the user is successfully authenticated a `User` object is passed to the handler in an `AsyncResult`. The user object can then be used for authorisation.

      Parameters:
        `authInfo` - The auth information
        `resultHandler` - The result handler

    - #### authenticateObservable

          public rx.Observable<User> authenticateObservable(JsonObject authInfo)

      Authenticate a user.

      The first argument is a JSON object containing information for authenticating the user. What this actually contains depends on the specific implementation. In the case of a simple username/password based authentication it is likely to contain a JSON object with the following structure:

             {
               "username": "tim",
               "password": "mypassword"
             }

      For other types of authentication it contain different information - for example a JWT token or OAuth bearer token.

      If the user is successfully authenticated a `User` object is passed to the handler in an `AsyncResult`. The user object can then be used for authorisation.

      Parameters:
        `authInfo` - The auth information
      Returns:

    - #### newInstance

          public static AuthProvider newInstance(AuthProvider arg)

Copyright © 2015. All Rights Reserved.